Package Release Info

python-tsk-0~20200117-bp153.1.24

Update Info: Base Release
Available in Package Hub : 15 SP3

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

python3-tsk

Change Logs

Version: 0~20170802-bp150.2.4
* Tue Oct 03 2017 Greg.Freemyer@gmail.com
- update to v0~20170802
- implement python singlespec syntax
- add LGPL-3.0+ for the included talloc library
* Sat Feb 25 2017 Greg.Freemyer@gmail.com
- update to v0~20170128
  * Syncs up with recent Sleuthkit versions
  * required by python-plaso 1.5.1 support of Sleuthkit 4.4.0
  * fails to build with Leap 42.1 and older
  * the only known consumer of python-tsk v0~20170128 is python-plaso v1.5.1
  * both python-tsk v0~20170128 and python-plaso v1.5.1 will only be supported on Leap 42.2 and newer
- add a patch to keep setup.py from attempting to build internal talloc lib
- prepare to add python3 support
- add Provides pytsk3 as used by python-plaso 1.5.1
* Fri Aug 15 2014 Greg.Freemyer@gmail.com
- add "Provides: pytsk"  -  pytsk is now in use by upstream dependencies
* Wed Aug 13 2014 Greg.Freemyer@gmail.com
- update to v0~20140506
  * This is just a wrapper for libtsk10, upstream did not provide any release notes
* Wed Sep 11 2013 Greg.Freemyer@gmail.com
- Address legal issues raised in BNC#839248
- update to latest version in source repo (as of 9/10/2013)
  * now uses libtalloc shared library if available
  * remaining GPL licenses changed to Apache-2.0 with permission of relevant copyright holder
- added BuildRequires libtalloc-devel to allow shared library to be used
- added rm -rf talloc and talloc.new to highlight they are not used in the build
* Thu Aug 22 2013 Greg.Freemyer@gmail.com
- fix BuildRequires
  * remove spurious pcre-devel
  * add gcc-c++
* Sat Aug 17 2013 Greg.Freemyer@gmail.com
- update to latest version in source repo
- per author, sleuthkit-devel 4.1 compatibility is only in the source repo
- change version from 0.0.0~ to 0~
* Wed Mar 27 2013 Greg.Freemyer@gmail.com
- initial package
Version: 0~20200117-bp152.1.11
* Mon Jan 20 2020 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20200117
  * Python 2 is officially NOT supported, drop python 2
  * Updated to Sleuthkit 4.7.0
- add a %check section
- add
  * BuildRequires:  pkgconfig(libvhdi)
  * BuildRequires:  pkgconfig(libvmdk)
- remove unused patch file pytsk_20170128_remove_talloc_build.patch